Managed Instance Operations - Get
Mendapatkan operasi manajemen pada instans terkelola.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/operations/{operationId}?api-version=2021-02-01-preview
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
managed
|
path | True |
|
Nama instans terkelola. |
|
operation
|
path | True |
|
|
|
resource
|
path | True |
|
Nama grup sumber daya yang berisi sumber daya. Anda dapat memperoleh nilai ini dari Azure Resource Manager API atau portal. |
|
subscription
|
path | True |
|
ID langganan yang mengidentifikasi langganan Azure. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk permintaan. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Berhasil mengambil operasi instans terkelola yang ditentukan. |
|
| Other Status Codes |
Respons Kesalahan: ***
|
Contoh
Gets the managed instance management operation
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/00000000-1111-2222-3333-444444444444?api-version=2021-02-01-preview
Sample Response
{
"properties": {
"managedInstanceName": "sqlcrudtest-4645",
"operation": "UpsertManagedServer",
"operationFriendlyName": "UPDATE MANAGED SERVER",
"percentComplete": 100,
"startTime": "2019-12-06T11:08:44.49Z",
"state": "Cancelled",
"isCancellable": false,
"operationSteps": {
"totalSteps": "5",
"currentStep": 2,
"stepsList": [
{
"order": 1,
"name": "Request validation",
"status": "Completed"
},
{
"order": 2,
"name": "New SQL Instance Startup",
"status": "Canceled"
},
{
"order": 3,
"name": "Seeding database files",
"status": "NotStarted"
},
{
"order": 4,
"name": "Preparing Failover and Failover",
"status": "NotStarted"
},
{
"order": 5,
"name": "Old SQL Instance cleanup",
"status": "NotStarted"
}
]
}
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/operations/11111111-1111-1111-1111-111111111111",
"name": "11111111-1111-1111-1111-111111111111",
"type": "Microsoft.Sql/managedInstances/operations"
}
Definisi
|
Managed |
Operasi instans terkelola. |
|
Managed |
Parameter operasi instans terkelola. |
|
Managed |
Langkah-langkah operasi instans terkelola. |
|
Management |
Status operasi. |
|
Upsert |
|
|
Upsert |
ManagedInstanceOperation
Operasi instans terkelola.
| Name | Type | Description |
|---|---|---|
| id |
|
ID Sumber Daya. |
| name |
|
Nama sumber daya. |
| properties.description |
|
Deskripsi operasi. |
| properties.errorCode |
|
Kode kesalahan operasi. |
| properties.errorDescription |
|
Deskripsi kesalahan operasi. |
| properties.errorSeverity |
|
Tingkat keparahan kesalahan operasi. |
| properties.estimatedCompletionTime |
|
Perkiraan waktu penyelesaian operasi. |
| properties.isCancellable |
|
Apakah operasi dapat dibatalkan. |
| properties.isUserError |
|
Apakah kesalahan tersebut adalah kesalahan pengguna atau tidak. |
| properties.managedInstanceName |
|
Nama instans terkelola tempat operasi sedang dilakukan. |
| properties.operation |
|
Nama operasi. |
| properties.operationFriendlyName |
|
Nama operasi yang ramah. |
| properties.operationParameters |
Parameter operasi. |
|
| properties.operationSteps |
Langkah-langkah operasi. |
|
| properties.percentComplete |
|
Persentase operasi selesai. |
| properties.startTime |
|
Waktu mulai operasi. |
| properties.state |
Status operasi. |
|
| type |
|
Jenis sumber daya |
ManagedInstanceOperationParametersPair
Parameter operasi instans terkelola.
| Name | Type | Description |
|---|---|---|
| currentParameters |
Parameter saat ini. |
|
| requestedParameters |
Parameter yang diminta. |
ManagedInstanceOperationSteps
Langkah-langkah operasi instans terkelola.
| Name | Type | Description |
|---|---|---|
| currentStep |
|
Jumlah langkah operasi saat ini. |
| stepsList |
Daftar langkah-langkah operasi. |
|
| totalSteps |
|
Jumlah total langkah operasi. |
ManagementOperationState
Status operasi.
| Name | Type | Description |
|---|---|---|
| CancelInProgress |
|
|
| Cancelled |
|
|
| Failed |
|
|
| InProgress |
|
|
| Pending |
|
|
| Succeeded |
|
UpsertManagedServerOperationParameters
| Name | Type | Description |
|---|---|---|
| family |
|
|
| storageSizeInGB |
|
|
| tier |
|
|
| vCores |
|
UpsertManagedServerOperationStep
| Name | Type | Description |
|---|---|---|
| name |
|
|
| order |
|
|
| status |
enum:
|